export enum HTTP_STATUS {
  SUCCESS = 200,
  FAIL = 417,
}

export enum RESPONSE_ERROR_CODE {
  INVALID_PARAMETER = 'INVALID_PARAMETER',
  NOT_FUND = 'NOT_FUND',
  INNER_EXCEPTION = 'INNER_EXCEPTION',
  SYSTEM_ERROR = 'SYSTEM_ERROR',
  NEED_LOGIN = 'NEED_LOGIN',
}

export const RESPONSE_ERROR_MESSAGE = {
  [RESPONSE_ERROR_CODE.INVALID_PARAMETER]: '参数无效',
  [RESPONSE_ERROR_CODE.NOT_FUND]: '找到对应资源',
  [RESPONSE_ERROR_CODE.INNER_EXCEPTION]: '服务内部错误',
  [RESPONSE_ERROR_CODE.SYSTEM_ERROR]: '系统错误',
};
