export enum WorkedYears {
  LessOneYear = 0.5,
  OneYear = 1,
  TwoYear = 2,
  MoreThreeYear = 3,
}

export enum GenderType {
  MEN = 0,
  WOMEN = 1,
}

// 1主播主动创建 2主播填写表单创建 3 运营人工创建 4 机器人创建
export enum ProfileCreateSource {
  User = 1,
  UserInput = 2,
  Bl = 3,
  Robot = 4,
}

export enum StyleType {
  Broadcasting = 1,
  HoldOrder = 2,
  Passion = 3,
}

export enum MaterialStatus {
  Open = 0,
  Close = 1,
}

export const WORK_YEAR_LABELS = {
  [WorkedYears.LessOneYear]: '1 年以下',
  [WorkedYears.OneYear]: '1 年',
  [WorkedYears.TwoYear]: '2 年',
  [WorkedYears.MoreThreeYear]: '3 年以上',
};
